package com.steerinfo.ems.trmcalpointexvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;

public class TRmCalpointExValue implements IBasePO<String> {
    /**
     * 主键ID(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private String id;

    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=false)
    private String clock;

    /**
     * 计量点ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点ID",required=false)
    private String itemid;

    /**
     * 异常类型，0:计量点日数据超标，1:十分钟仪表值变小(EXTYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="异常类型，0:计量点日数据超标，1:十分钟仪表值变小",required=false)
    private String extype;

    /**
     * 计量点日最大值(MAXVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计量点日最大值",required=false)
    private BigDecimal maxvalue;

    /**
     * 计量点日最小值(MINVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计量点日最小值",required=false)
    private BigDecimal minvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=false)
    private BigDecimal apportvalue;

    /**
     * 仪表变小前值(BEFVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="仪表变小前值",required=false)
    private BigDecimal befvalue;

    /**
     * 仪表当前值(CURVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="仪表当前值",required=false)
    private BigDecimal curvalue;

    /**
     * 创建时间(CREATETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private String createtime;

    /**
     * 备注(BZ,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getExtype() {
        return extype;
    }

    public void setExtype(String extype) {
        this.extype = extype == null ? null : extype.trim();
    }

    public BigDecimal getMaxvalue() {
        return maxvalue;
    }

    public void setMaxvalue(BigDecimal maxvalue) {
        this.maxvalue = maxvalue;
    }

    public BigDecimal getMinvalue() {
        return minvalue;
    }

    public void setMinvalue(BigDecimal minvalue) {
        this.minvalue = minvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getBefvalue() {
        return befvalue;
    }

    public void setBefvalue(BigDecimal befvalue) {
        this.befvalue = befvalue;
    }

    public BigDecimal getCurvalue() {
        return curvalue;
    }

    public void setCurvalue(BigDecimal curvalue) {
        this.curvalue = curvalue;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime == null ? null : createtime.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", clock=").append(clock);
        sb.append(", itemid=").append(itemid);
        sb.append(", extype=").append(extype);
        sb.append(", maxvalue=").append(maxvalue);
        sb.append(", minvalue=").append(minvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", befvalue=").append(befvalue);
        sb.append(", curvalue=").append(curvalue);
        sb.append(", createtime=").append(createtime);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}